declare module "fa-toolkit" {
    export interface BuildOptions {
        /**
         * 工程目录
         */
        projectRoot?: string;
        /**
         * 编译版本
         */
        versionType?: string;
    }

    /**
     * 编译打包
     * @param {*} options - 编译参数
     */
    export function build(options?: BuildOptions): Promise<void>;

    /**
     * 获取编译器版本
     */
    export function getVersion(): string;

    /**
     * rpk 处理
     * @param rpkPath rpk 文件路径
     * @param certFilePath 签名证书文件路径
     * @return 重新打包后的 rpk 文件路径
     */
    export function rpkHandler(rpkPath: string, certFilePath: string): Promise<void>;

    /**
     * 获取证书文件中的指纹
     * @param certificatePath 签名证书文件路径
     */
    export function getCertFp(certificatePath: string): string;

    /**
     * 获取 rpk 中的签名指纹
     * @param rpkPath rpk 文件路径
     */
    export function getSignedZipCertFp(rpkPath: string): string;
}